%define upstream_name    Regexp-Grammars
%define upstream_version 1.045

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Add grammatical parsing features to Perl 5.10 regexes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::Parser)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lexical::Var) >= 0.7.0
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module adds a small number of new regex constructs that can be used
within Perl 5.10 patterns to implement complete recursive-descent parsing.

Perl 5.10 already supports recursive=descent _matching_, via the new
'(?<name>...)' and '(?&name)' constructs. For example, here is a simple
matcher for a subset of the LaTeX markup language:

    $matcher = qr{
        (?&File)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.45.0-2.mga6
+ Revision: 1032813
- Rebuild for perl 5.22.2

* Fri Jan 15 2016 shlomif <shlomif> 1.45.0-1.mga6
+ Revision: 923272
- New version 1.045

* Thu Dec 17 2015 shlomif <shlomif> 1.44.0-1.mga6
+ Revision: 911371
- New version 1.044

* Mon Sep 28 2015 sander85 <sander85> 1.42.0-1.mga6
+ Revision: 884801
- update to 1.042

* Thu Jun 25 2015 shlomif <shlomif> 1.41.0-1.mga6
+ Revision: 843614
- update to 1.041

* Sun Oct 19 2014 umeabot <umeabot> 1.35.0-4.mga5
+ Revision: 788535
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.35.0-3.mga5
+ Revision: 742014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.35.0-2.mga5
+ Revision: 686101
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 1.35.0-1.mga5
+ Revision: 641836
- update to 1.035

* Wed Jun 11 2014 sander85 <sander85> 1.34.0-1.mga5
+ Revision: 635619
- update to 1.034

* Sat Oct 19 2013 umeabot <umeabot> 1.33.0-2.mga4
+ Revision: 533977
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.33.0-1.mga4
+ Revision: 475922
- update to 1.033

* Thu Aug 29 2013 sander85 <sander85> 1.32.0-1.mga4
+ Revision: 473069
- update to 1.032
- update to 1.031

* Wed Jun 26 2013 jquelin <jquelin> 1.30.0-1.mga4
+ Revision: 447086
- update to 1.030

* Sun Jan 13 2013 umeabot <umeabot> 1.21.0-2.mga3
+ Revision: 372301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shlomif <shlomif> 1.21.0-1.mga3
+ Revision: 324091
- imported package perl-Regexp-Grammars


* Sat Dec 01 2012 cpan2dist 1.021-1mga
- initial mageia release, generated with cpan2dist
